unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, Data.DB,
  WEBLib.DB, Vcl.Controls, Vcl.Grids, WEBLib.DBCtrls, WEBLib.REST, WEBLib.CDS;

type
  TForm1 = class(TWebForm)
    WebClientDataSet1: TWebClientDataSet;
    WebClientDataSet2: TWebClientDataSet;
    WebHttpRequest1: TWebHttpRequest;
    WebDBGrid1: TWebDBGrid;
    WebDBGrid2: TWebDBGrid;
    WebDataSource1: TWebDataSource;
    WebDataSource2: TWebDataSource;
    WebButton1: TWebButton;
    procedure WebButton1Click(Sender: TObject);
    procedure WebHttpRequest1Response(Sender: TObject; AResponse: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.WebButton1Click(Sender: TObject);
begin
  WebHttpRequest1.URL := 'data.json';
  WebHttpRequest1.Execute();
end;

procedure TForm1.WebHttpRequest1Response(Sender: TObject; AResponse: string);
var
  ja1,ja2: TJSArray;
  jo: TJSOBject;
begin
  jo := TJSJSON.parseObject(AResponse);

  ja1 := TJSArray(jo.Properties['TMOV']);

  ja2 := TJSArray(jo.Properties['SITS']);

  webclientdataset1.FieldDefs.Add('codigo',ftString,50);
  webclientdataset1.FieldDefs.Add('descr',ftString,50);
  webclientdataset1.Rows := ja1;
  webclientdataset1.Active := true;

  webclientdataset2.FieldDefs.Add('codigo',ftString,50);
  webclientdataset2.FieldDefs.Add('descr',ftString,50);
  webclientdataset2.Rows := ja2;
  webclientdataset2.Active := true;
end;

end.